NI VeriStand

cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

Veristand model generation tool not appearing in 2018?

Fresh install of LV2018 64-bit Professional development and Veristand 2018

The "Veristand" is not appearing under the tools menu in labview. 

 

Is there an issue with using the 64-bit labview? On a different machine I installed LV206 32-bit and 2016 veristand and did not have this issue.

0 Kudos
Message 1 of 3
(438 Views)

Hey larboc,

 

Almost definitely a result of using 64-bit LabVIEW.  You could double-check that you've installed the model framework by seeing if you have a VeriStand folder in your root directory (i.e. does c:\VeriStand exist?).  If it's there and you installed VeriStand after LabVIEW, it's a bitness issue. 

 

The model generation tool in LabVIEW leverages LabVIEW's Application Builder.  64-bit app builder can't build 32-bit applications and vice versa.  Given that VeriStand is a 32-bit application and Pharlap (RT PXI's OS) is also 32-bit, it seems intuitive that you'd need the 32-bit app builder that comes with 32-bit LabVIEW.  As an aside, you can build 64-bit LabVIEW models for use in NI Linux Real-Time, but that leverages the Eclipse toolchain for compilation and abstracts out App Builder. 

 

Long-story short, installing 32-bit LabVIEW and reinstalling the VeriStand Model Framework will show you the "NI VeriStand" option under the Tools menu.  

Matt | NI Systems Engineering
0 Kudos
Message 2 of 3
(423 Views)

I faced the issue with Labview 64 Bit version (not exactly the same though).

Make sure you install Labview 32 bit version and follow the sequence of installation.

If you are installing Model Framework then you would need to install relevant SDK as well.

Sequence should be: First labview and associated softwares like Labview RT, Serial etc, then Veristand.

0 Kudos
Message 3 of 3
(316 Views)